Subject: bug#47071: 28.0.50; Show ERT failure reason in batch mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 15 Jun 2021 17:03:00 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>> On CI systems, you only have the logs written in batch mode. The more
>> complete they are, the better, since you can always filter out
>> information you don't need later, but not add missing information
>> after the fact. So printing lots of information is fine IMO.
>
> Yeah, that's true -- on CI systems the added information would be useful
> indeed. 
>
>> A middle ground would be to support some kind of 'verbosity'
>> command-line option so that the environment could decide how much to
>> print.
>
> Yup.

I went with an environment variable to control this -- that seemed the
most flexible way here.  Feel free to tweak or change the name of the
variable.

Julian -- I pushed your patch to Emacs 28 with those small changes.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no